Facebook Twitter YouTube Frictional Games | Forum | Newsletter | Dev Blog | Dev Wiki | Support


Thread Closed 
Linux Beta Demo and Feedback (1.0.1 Final Out)
Author Message
Urkle Offline
FG - Associate

Posts: 1,154
Joined: Jul 2006
Reputation: 19
Post: #1
Linux Beta Demo and Feedback (1.0.1 Final Out)

Penumbra Overtue Episode 1 Demo v1.0.1 is now available for linux.

Download it from penumbra-overture.com

All Support issues should now be posted to The linux Tech Support Thread


Beta 3 has been Release
Note This will hopefully be the last beta release of the demo.

I am pleased to announce the initial linux beta demo release of Penumbra: Overture Episode 1.

Currently the Linux demo is only being released via Bit torrent. If you wish to help in distributing, just keep seeding it when you have finished downloading it. Once I get feedback and fix any new found bugs from this beta we will release the final demo and push it out to mirrors. Please do not mirror this demo at this time.

Report any issues to this forum thread as I will be checking this thread regularly for feedback.

To install just download PenumbraDemo-Beta3.sh or if you already have an older dmeo installed, PenumbraDemoUpgrade-Beta3.sh
Then run
sh ./PenumbraDemo-Beta3.sh
from a terminal.

Note
This does NOT need to be run as root, and would be preferrable not to do so. By default the installer will install into a directory of PenumbraEp1Demo in your home directory.

Once installed run the "penumbrademo" script in the install directory.
cd ~/PenumbraEp1Demo
./penumbrademo

Tracker URL.
Demo Download (Bit Torrent)

Regards,
Edward Rudd

Changes in Beta 3
  • Rebuild in new build environment (CLEAN glibc 2.3 compatability)
  • Fix sound clipping issue
  • Fix language game option (will not show comfiguration files now)
  • Updated installers that work on x86_64 systems (the game STILL requires 32bit libraries!!!)

Changes in Beta 2 (2007-03-27)
  • Rebuild using a clean build environment (fixes Ubuntu loading issue)
  • Packaged libsdl.org stock SDL libraries (should improve compatability)
  • Updated launch script to give detailed information on how to track down issues for me
  • Exits gracefully if $DISPLAY isn't set.

Known Issues
There are currently no known issues

Developing away on one of
Mac Pro Dual 2Ghz, 14GB RAM, 10.6 (still), nVidia 8800 512MB.
Linux, 8-core AMD, 8GB RAM, Fedora 17, nVidia 450 1GB
03-22-2007 02:55 PM
Visit this user's website Find all posts by this user
Dark Offline
Senior Member

Posts: 701
Joined: Jul 2006
Reputation: 0
Post: #2
RE: Linux Beta Demo and Feedback

cool maybe gonna try when i reinstall linux Tongue

[Image: elfenliednx4.jpg]
03-22-2007 06:52 PM
Find all posts by this user
hikaricore Offline
Junior Member

Posts: 8
Joined: Mar 2007
Reputation: 0
Post: #3
RE: Linux Beta Demo and Feedback

Downloading right now Smile This demo has already been mentioned in on the Ubuntu forums earlier (folks were running the windows version in wine) and will soon be mentioned on UGA when AI gets a chance to update.

I've only seen a couple screen shots so far but I'm still really hyped to see a linux port of new game.
03-22-2007 09:49 PM
Find all posts by this user
Diablo150
Unregistered

 
Post: #4
RE: Linux Beta Demo and Feedback

Thank you for the Linux client.

But I've some troubles. I'm in x86_64 system (Debian) and when I want to run the demo (on 32 bits mode), I've this error message:

./penumbrademo.bin: /emul/ia32-linux/lib/tls/libc.so.6: version `GLIBC_2.4' not found (required by ./lib/libopenal.so.0)
./penumbrademo.bin: /emul/ia32-linux/lib/tls/libc.so.6: version `GLIBC_2.4' not found (required by ./lib/libalut.so.0)

So, I'm replace missing libraries by the 32 bits libraries on my system.
And I've this message:

./penumbrademo: line 2: 8165 Exception en point flottant LD_LIBRARY_PATH=./lib ./penumbrademo.bin

Am I must use a specific version ?

(Sorry for my English, I'm French)

http://www.jeuvinux.net/breve.php3?id_breve=223
03-22-2007 09:55 PM
hikaricore Offline
Junior Member

Posts: 8
Joined: Mar 2007
Reputation: 0
Post: #5
RE: Linux Beta Demo and Feedback

Diablo150 Wrote:Thank you for the Linux client.

But I've some troubles. I'm in x86_64 system (Debian) and when I want to run the demo (on 32 bits mode), I've this error message:

./penumbrademo.bin: /emul/ia32-linux/lib/tls/libc.so.6: version `GLIBC_2.4' not found (required by ./lib/libopenal.so.0)
./penumbrademo.bin: /emul/ia32-linux/lib/tls/libc.so.6: version `GLIBC_2.4' not found (required by ./lib/libalut.so.0)

So, I'm replace missing libraries by the 32 bits libraries on my system.
And I've this message:

./penumbrademo: line 2: 8165 Exception en point flottant LD_LIBRARY_PATH=./lib ./penumbrademo.bin

Am I must use a specific version ?

(Sorry for my English, I'm French)

http://www.jeuvinux.net/breve.php3?id_breve=223

Same here in on a 32bit system:

[hikaricore@devistate:~/PenumbraEp1Demo (6.3 Mb)]$ ./penumbrademo
./penumbrademo: line 2: 27164 Floating point exceptionLD_LIBRARY_PATH=./lib ./penumbrademo.bin

I'm going to try and run it as a new user then root to see if it'll start.

*update* Tried running as a new user as well as root, reinstalling for each with no luck.

System spec:

2.7ghz pentium
512mb ram
Nvidia GeForce 6200 /w 256mb ram
Ubuntu Edgy 6.10 (kernel 2.6.17-11)
03-22-2007 10:24 PM
Find all posts by this user
Urkle Offline
FG - Associate

Posts: 1,154
Joined: Jul 2006
Reputation: 19
Post: #6
RE: Linux Beta Demo and Feedback

The build system is a Fedora Core 6 system, so the libs require Glibc 2.4 right now.. I'm going to see if I can rebuild it so it will require a lesser glibc for better compatability.

however that Floating point exception does sound rather strange.

Can you guys turn on core dumping and get a backtrace?

ulimit -c unlimited
./penumbra
(upon crash a core file will be produces with the process id #. example: core.141332)
gdb ./penumbra.bin core.141332
thread apply all bt full

then give me the output of all that mess..
OR if the core files aren't too big, you can PM me a place to download the core files directly

Developing away on one of
Mac Pro Dual 2Ghz, 14GB RAM, 10.6 (still), nVidia 8800 512MB.
Linux, 8-core AMD, 8GB RAM, Fedora 17, nVidia 450 1GB
03-22-2007 10:50 PM
Visit this user's website Find all posts by this user
hikaricore Offline
Junior Member

Posts: 8
Joined: Mar 2007
Reputation: 0
Post: #7
RE: Linux Beta Demo and Feedback

I'm not able to get a core file for some reason. :/

Let me search around for a bit, I have a feeling that ubuntu might be configured to put core files in a central location which is yet unknown to me. /tmp/core doesn't exist so i'm running:

locate -u /

So I can do a system wide search. >.<

*update* nada still can't get a core dump and there weren't any core files in the pid range that the game used during my tests.
03-22-2007 11:15 PM
Find all posts by this user
Urkle Offline
FG - Associate

Posts: 1,154
Joined: Jul 2006
Reputation: 19
Post: #8
RE: Linux Beta Demo and Feedback

I'm downloading a copy of Ubuntu 6.10 32-bit and will test it and see if I can track down the issue.

Developing away on one of
Mac Pro Dual 2Ghz, 14GB RAM, 10.6 (still), nVidia 8800 512MB.
Linux, 8-core AMD, 8GB RAM, Fedora 17, nVidia 450 1GB
03-23-2007 05:44 AM
Visit this user's website Find all posts by this user
ViRgiLiO Offline
Junior Member

Posts: 2
Joined: Mar 2007
Reputation: 0
Post: #9
RE: Linux Beta Demo and Feedback

I guess if Linux will be supported as Windows version. If so, I will buy right now a copy of the game.[/align]
03-23-2007 12:33 PM
Find all posts by this user
timonator Offline
Member

Posts: 53
Joined: Sep 2006
Reputation: 0
Post: #10
RE: Linux Beta Demo and Feedback

what is this?
Verifying archive integrity... All good.
Uncompressing nixstaller............................
Collecting info for this system...
Operating system: linux
CPU Arch: x86
C libraries: /lib/libc.so.6
C++ libraries: /usr/sfw/lib/libstdc++.so.*
./startupinstaller.sh: line 154: [: bin/linux/x86/libc.so.6/libstdc++.so.5: binary operator expected
./startupinstaller.sh: line 154: [: bin/linux/x86/libc.so.6/libstdc++.so.5: binary operator expected
Error: Couldn't find any suitable frontend for your system

for LCPP in $LIBSTDCPPS
        do  
            LCPPDIR="`getbinlibdir ${LCPP} libstdc++ ${LCDIR}`"
            
            if [ ! -d ${LCPPDIR} ]; then # <--
                continue
            fi
            
            unlzma ${LCPPDIR}/$FR ${LCDIR}
i'm in the process of just doing it all myself, but both installers seem troubled

the installer (fortunately!) told me the command it wasn't able to run (i was, tho) and so i was able to install the game now, quickly started it and it seems to run fine. i'll wait until my system update is through (darn you, gentoo. heh) and then really play it
03-23-2007 02:49 PM
Find all posts by this user
Thread Closed 




User(s) browsing this thread: 1 Guest(s)